> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List protection template policies

> List the available policies for a specific protection template.



## OpenAPI

````yaml /api-reference/services_documented/ddos_protection_api.yaml get /security/sifter/v3/templates/{protection_template_id}/policies
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DDoS Protection API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Event Logs
    x-displayName: Event Logs
  - name: BGP announces
    x-displayName: BGP announces
  - name: Protected Networks
    x-displayName: Protected Networks
  - name: Protection Profiles
    x-displayName: Protection Profiles
  - name: Protection Templates
    x-displayName: Protection Templates
  - name: Security Templates
    x-displayName: Security Templates
  - name: Profiles
    x-displayName: Profiles
paths:
  /security/sifter/v3/templates/{protection_template_id}/policies:
    get:
      tags:
        - Protection Templates
      summary: List protection template policies
      description: List the available policies for a specific protection template.
      operationId: >-
        list_protection_template_policies_api_v3_templates__protection_template_id__policies_get
      parameters:
        - name: protection_template_id
          in: path
          required: true
          schema:
            type: integer
            maximum: 1000000000
            minimum: 1
            description: A positive integer ID
            title: Protection Template Id
          description: A positive integer ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PolicyResponse'
                title: >-
                  Response List Protection Template Policies Api V3 Templates 
                  Protection Template Id  Policies Get
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
          description: Forbidden
        '404':
          description: Protection template not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PolicyResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the policy
        name:
          type: string
          title: Name
          description: Name of the policy
        description:
          type: string
          title: Description
          description: Description of the policy
      type: object
      required:
        - id
        - name
        - description
      title: PolicyResponse
    Request:
      properties: {}
      type: object
      title: Request
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/security_iaas_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    security_iaas_ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````